#
# spec file for package supportutils-plugin-suse-public-cloud
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           supportutils-plugin-suse-public-cloud
Version:        1.0.9
Release:        150000.3.20.1
Summary:        Public Cloud plugin for supportconfig
License:        GPL-2.0+
Group:          System/Monitoring
Url:            https://github.com/SUSE/Enceladus
Source0:        %{name}-%{version}.tar.bz2
Requires:       supportutils
%ifarch %ix86 ia64 x86_64 %arm aarch64
Requires:       dmidecode
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
A plugin for the supportutils utility to collect system information from
running instances in a Public Cloud Framework that originated from SUSE
published and maintained images.

%prep
%setup -q -n %{name}-%{version}

%build


%install
make install DESTDIR=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README.md 
%{_mandir}/man*/*
/usr/lib/supportconfig/
%changelog
* Tue Jan 16 2024 rjschwei@suse.com
- Update to version 1.0.9 (bsc#1218762, bsc#1218763)
  + Remove duplicate data collection for the plugin itself
  + Collect archive metering data when available
  + Query billing flavor status
* Thu Aug  3 2023 jgleissner@suse.com
- Update to version 1.0.8 (bsc#1213951)
  + Capture CSP billing adapter config and log (issue#13)
  + Accept upper case Amazon string in DMI table (issue#12)
* Tue Apr 18 2023 rjschwei@suse.com
- Update to version 1.0.7 (bsc#1209026)
  + Include information about the cached registration data
  + Collect the data that is sent to the update infrastructure during
    registration
* Tue Jan 25 2022 rjschwei@suse.com
- Update to version 1.0.6 (bsc#1195095, bsc#1195096)
  + Include cloud-init logs whenever they are present
  + Update the packages we track in AWS, Azure, and Google
  + Include the ecs logs for AWS ECS instances
* Fri Aug 14 2020 rjschwei@suse.com
- Update to version 1.0.5 (bsc#1175250, bsc#1175251)
  + Query for new GCE initialization code packages
* Sat Aug  1 2020 jgleissner@suse.com
- Update to version 1.0.4
  + Fix output redirection in registration info query
* Fri Jul 31 2020 jgleissner@suse.com
- Update to version 1.0.3 (bsc#1174618, bsc#1170475, bsc#1170476)
  + Drop rc file name extension from rpm lists
  + Sanatize data
  + Use updated azuremetadata
  + Add /etc/os-release data
  + Check update infrastructure is reachable
* Wed Aug 23 2017 rjschwei@suse.com
- Update to version 1.0.2 (bsc#1053737, bsc#1053738)
  + Add additional package to the framework specific package queries
* Mon Aug  1 2016 rjschwei@suse.com
- Update to verion 1.0.1 (bsc#990887, bsc#990888)
  + Include information about instance initialization generated by
    the initialization code in the log
* Thu Feb  4 2016 rjschwei@suse.com
- Include in SLE 12 (FATE#320442, bsc#963690)
- Include in SLE 11 (FATE#320441, bsc#963688)
* Thu Feb  4 2016 rjschwei@suse.com
- Initial build
  + Version 1.0.0
